package com.tzy.common.annotation;

import com.tzy.common.enums.DesensitType;

import java.lang.annotation.*;

/**
 * 脱敏规则
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
public @interface Desensit {
    //脱敏字段
    public String field() default "";
    //脱敏类型
    public DesensitType type() default DesensitType.DEFAULT;


}
